com.smartgwt.client.widgets.tile

## Class UpdateTileCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.tile.UpdateTileCustomizer

-     public abstract class UpdateTileCustomizer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateTileCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TileGrid` | `getGrid()` Returns the TileGrid associated with this customizer.
    `protected void` | `setGrid(TileGrid grid)`
    `abstract void` | `updateTile(Record record, java.lang.Integer tileIndex, Canvas reclaimedTile)` If both this method and `TileGrid.createTile` are defined and `recycleTiles` is true, this method will be called when the framework needs to recycle a tile to be used with a new record.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateTileCustomizer

          public UpdateTileCustomizer()

  - ### Method Detail

    - #### setGrid

          protected void setGrid(TileGrid grid)

    - #### getGrid

          public TileGrid getGrid()

      Returns the TileGrid associated with this customizer.
      Returns:
        the TileGrid

    - #### updateTile

          public abstract void updateTile(Record record,
                        java.lang.Integer tileIndex,
                        Canvas reclaimedTile)

      If both this method and `TileGrid.createTile` are defined and `recycleTiles` is true, this method will be called when the framework needs to recycle a tile to be used with a new record. This notification provides an opportunity to update any widget properties that depend on the specifics of the record.
      Parameters:
        `record` - record that will be associated with the recycled tile
        `tileIndex` - index of the record in the tileGrid
        `reclaimedTile` - the tile to be recycled